Subject: RE: bug#24977: 25.1; search and query-replace in Dired

From: Drew Adams <[email-masked]>
Date: Mon, 21 Nov 2016 10:51:15 -0800 (PST)

> > This is a major reason for this bug report (and bug #23428).
> > The replacement is strictly less powerful.  It is essentially
> > just a `grep' or `find'.  (And it depends on an outside program.)
> 
> It might be less powerful. On the flip side, the replacement is
> usually faster. Especially in the "many files, few matches" situations.

Yes, I acknowledged that the new commands are very good - good UIs
and very quick (including the search part, not just the replacement).

I have no argument with the new commands.  My argument is to keep
the old commands as well, with their bindings and menu items, and
to give the new commands new bindings and new menu items.

I don't even have a problem with Emacs putting the new commands
in the forefront somehow, making them more prominent in the doc
or whatever.  My complaint is quite limited - and reasonable, I
think.

> >> Those should be doable, as long as the regexp contains at least
> >> _something_ else.
> >
> > What does that mean?  Specify what you mean by "_something_ else".
> > Clearly you do NOT mean to support the regexps that Emacs
> > supports.
> 
> For instance, if the regexp contains a simple literal and an Emacs-
> only construct, we can remove the latter before passing the regexp to
> find+grep, and then post-process the results inside Emacs using the
> full syntax.

If I understand what you're saying, that would probably be an
improvement, yes.  It would need to be pointed out clearly to
users that that is what happens.  When you kinda sorta sometimes
get behavior that is similar to what you might expect (e.g. from
the regexp alone), the actual behavior can be all the more
confusing if this difference is not described clearly.